Subject: [Megaco] Local/Remote descriptors and Permanent terminations

From: Rajesh N <[email-masked]>
Date: Tue, 02 Apr 2002 22:02:06 +0530

Hi,

Sometime back there was a thread regarding usage of SendRecv mode for an 
ephemeral termination, when Remote Descriptor values are yet to be defined. 
And one of the choices for the MG in such a situation is to reply back with 
error 411, "missing remote or local descriptor".

I would like to know, what is the significance of this problem w.r.to 
permanent terminations. The example call flow in the draft shows a Modify 
request for a permanent termination, from MGC to MG1, in which mode is set 
as SendRecv and  the Local descriptor values alone are being provided.

Are local and remote descriptors relevant for physical terminations? If 
yes, where should I get the values from?

Thanks
Regards,
Rajesh N

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Tue, 2 Apr 2002 12:27:28 -0500

In general Local and Remote can be provisioned for physical terminations, so
the MGC doesn't have to specify anything for them.  The exception is when
the MG is functioning as a NAS, in which case it needs to know a number of
parameters which are sent in call signalling.

-----Original Message-----
From: Rajesh N [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 11:32 AM
To: [email-masked]
Subject: [Megaco] Local/Remote descriptors and Permanent terminations

Hi,

Thanks
Regards,
Rajesh N

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Tue, 2 Apr 2002 12:27:28 -0500

-----Original Message-----
From: Rajesh N [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 11:32 AM
To: [email-masked]
Subject: [Megaco] Local/Remote descriptors and Permanent terminations

Hi,

Thanks
Regards,
Rajesh N

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Tue, 2 Apr 2002 14:53:10 -0500

As I noted earlier, you do need to specify the properties in the NAS case.
The SDP TDM draft has certainly had time to ripen, and I will reissue it and
the NAS packages within the next week.

-----Original Message-----
From: Chuong N. Nguyen [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 2:48 PM
To: [email-masked]
Subject: Re: [Megaco] Local/Remote descriptors and Permanent terminations

I don't know about the sendrecv issue here. 
I don't know what you mean by SDP parameters are of no significance in case
of phy. term. 
Tom wrote the SDP TDM draft which I wonder what is the status of this draft.

But I can't remember now whether it was intended to be used in local or
localControl Descriptor. 

Madhu Babu Brahmanapally wrote: 
HI Rajesh/All, 
Not all parameters might be useful for the MG/MGC in case of physical 
terminations. The SDP parameters are of no significance in case of physical 
terminations (in normal scenario). Hence the mode was set to "sendrecv" 
without specifying the local/remote descriptor information. 
Regards 
Madhubabu 
-----Original Message----- 
From: [email-masked] [mailto:[email-masked]]On Behalf Of 
Rajesh N 
Sent: Tuesday, April 02, 2002 11:32 AM 
To: [email-masked] 
Subject: [Megaco] Local/Remote descriptors and Permanent terminations 
Hi, 
Sometime back there was a thread regarding usage of SendRecv mode for an 
ephemeral termination, when Remote Descriptor values are yet to be defined. 
And one of the choices for the MG in such a situation is to reply back with 
error 411, "missing remote or local descriptor". 
I would like to know, what is the significance of this problem w.r.to 
permanent terminations. The example call flow in the draft shows a Modify 
request for a permanent termination, from MGC to MG1, in which mode is set 
as SendRecv and  the Local descriptor values alone are being provided. 
Are local and remote descriptors relevant for physical terminations? If 
yes, where should I get the values from? 
Thanks 
Regards, 
Rajesh N 
_______________________________________________ 
Megaco mailing list 
[email-masked] 
https://www1.ietf.org/mailman/listinfo/megaco 
--- 
[This E-mail was scanned for viruses and is clean.] 
_______________________________________________ 
Megaco mailing list 
[email-masked] 
https://www1.ietf.org/mailman/listinfo/megaco
-- 
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****

---

From: Carl Rutter <[email-masked]>
Date: Tue, 2 Apr 2002 15:18:46 -0500

Chuong,
 
There was several ideas bouncing around but I don't believe
there was any closure.  There is a hole for G711 since we can't use 
annexa or annexb.
Lifting the support in RFC 3108, section 5.6.3.2 and putting it into
the TDM Circuit Package would give us a lot of flexibility.
 
Here are the ideas I know of:
1)
Another option is to extend the TDM Circuit Package (which has been

previously discussed on the list). The TDM Cicruit Package

currently has Gain and Echo Control as its properties. So, it's logical

(IMO) for Silence Suppression to be part of the package as

well. In fact, it looks like an oversight that it was missed off in the

first place.

Regards,

Wayne Cutler

2)

Another possibility is to use payload 13 as defined in
draft-ietf-avt-rtp-cn-05.  E.g.: 

Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 0 13 
}}}

David Barr 

3)

I'm starting to think that the answer may be to use the a=silenceSupp 
attribute defined in RFC 3108, section 5.6.3.2. 

Tom Taylor

Carl

-----Original Message-----
From: Chuong N. Nguyen [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 2:59 PM
Cc: [email-masked]
Subject: Re: [Megaco] Local/Remote descriptors and Permanent terminations

So what was that discussion about adding silence suppression to TDM package?

Do we use SDP TDM or TDM package or both? 
Or even worse combination of both within 1 command w/some parameters defined
by TDM package and 
some parameters defined by SDP TDM. 

Tom-PT Taylor wrote: 

-----Original Message----- 
From: Chuong N. Nguyen [ mailto:[email-masked]
<mailto:[email-masked]> ] 
Sent: Tuesday, April 02, 2002 2:48 PM 
To: [email-masked] 
Subject: Re: [Megaco] Local/Remote descriptors and Permanent terminations 

-----Original Message----- 
From: [email-masked] [ mailto:[email-masked]
<mailto:[email-masked]> ]On Behalf Of 
Rajesh N 
<https://www1.ietf.org/mailman/listinfo/megaco>  
<https://www1.ietf.org/mailman/listinfo/megaco>  

--

---

From: Carl Rutter <[email-masked]>
Date: Tue, 2 Apr 2002 15:51:02 -0500

All good questions another I would add is:
If we use SDP for TDM going forward 
how is silence suppression implemented?

Carl 

-----Original Message-----
From: Chuong N. Nguyen [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 3:41 PM
To: [email-masked]
Subject: Re: [Megaco] Local/Remote descriptors and Permanent terminations

I thought the reason that we decided to have SDP TDM is to get away from TDM
package 
to be more inline w/how we specify RTP termination characteristics. 
Also to reuse the good stuffs from RTP/ATM SDP. 

I guess we can start by asking the questions 

1) Can we live w/o the TDM package? 
2) Can we just use SDP for TDM going forward? 
3) For backward compatibility, just leave TDM package as is and don't extend
it anymore. 

For the TDM package, echo control is understood but the Gain control is not
quite right. 
I have discussed the Gain control before and gotten nowhere. 

Gain control is also defined in the SDP for ATM which seems more correct. 

Carl Rutter wrote: 

Chuong,There was several ideas bouncing around but I don't believethere was
any closure.  There is a hole for G711 since we can't use annexa or
annexb.Lifting the support in RFC 3108, section 5.6.3.2 and putting it
intothe TDM Circuit Package would give us a lot of flexibility.Here are the
ideas I know of:1) 

first place. 

Regards, 

Wayne Cutler 

2) 

Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 0 13 
}}} 

David Barr 

3) 

Tom Taylor 

Carl 

-----Original Message----- 

Tom-PT Taylor wrote: 

-----Original Message----- 

-- 

--

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Tue, 2 Apr 2002 16:24:56 -0500

I've had a message pointing out the existence of
draft-ietf-avt-rtp-cn-05.txt.  Specifying this payload type as well as G.711
would indicate the use of silence suppression implicitly.  That covers RTP
transport.  For ATM we have the a=silenceSupp attribute defined in RFC 3108.
Do we need anything for TDM?

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 3:19 PM
To: 'Chuong N. Nguyen'
Cc: [email-masked]
Subject: RE: [Megaco] Local/Remote descriptors and Permanent terminations

Chuong,

 
Carl
-----Original Message-----
From: Chuong N. Nguyen [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 2:59 PM
Cc: [email-masked]
Subject: Re: [Megaco] Local/Remote descriptors and Permanent terminations

Tom-PT Taylor wrote:

---

From: Carl Rutter <[email-masked]>
Date: Tue, 2 Apr 2002 16:27:49 -0500

I'm confused, are you talking about section 5.6.3.2 of  RFC 3108?
I know there was discussion about snagging this but that is for ATM
right now.

Carl

-----Original Message-----
From: Chuong N. Nguyen [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 3:58 PM
To: [email-masked]
Subject: Re: [Megaco] Local/Remote descriptors and Permanent terminations

Doesn't the following cover this already? 

5.6.3.2 The 'silenceSupp' attribute 

   When present, the 'silenceSupp' attribute is used to indicate the use 
   or non-use of silence suppression.  The format of the 'silenceSupp' 
   media attribute line is as follows: 

   a=silenceSupp: <silenceSuppEnable> <silenceTimer> <suppPref> <sidUse> 
                   <fxnslevel> 

Carl Rutter wrote: 

All good questions another I would add is:If we use SDP for TDM going
forward how is silence suppression implemented? 
Carl  

-----Original Message----- 

Carl Rutter wrote: 

first place. 

Regards, 

Wayne Cutler 

2) 

Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 0 13 
}}} 

David Barr 

3) 

Tom Taylor 

Carl 

-----Original Message----- 

Tom-PT Taylor wrote: 

-----Original Message----- 

-- 

-- 

--

---

From: Carl Rutter <[email-masked]>
Date: Tue, 2 Apr 2002 17:05:28 -0500

OK,
m=audio $ RTP/AVP 0 13 
To enable G711 Silent Suppresion.
I think this works, and we can use this for now
however 

I think is clearer and cleaner and
would allow greater flexibility in the future.

My two Cents,
Carl

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 4:25 PM
To: 'Carl Rutter'; 'Chuong N. Nguyen'
Cc: [email-masked]; Peter Barany
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 3:19 PM
To: 'Chuong N. Nguyen'
Cc: [email-masked]
Subject: RE: [Megaco] Local/Remote descriptors and Permanent terminations

Chuong,

 
Carl
-----Original Message-----
From: Chuong N. Nguyen [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 2:59 PM
Cc: [email-masked]
Subject: Re: [Megaco] Local/Remote descriptors and Permanent terminations

Tom-PT Taylor wrote:

---

From: Carl Rutter <[email-masked]>
Date: Tue, 2 Apr 2002 17:05:28 -0500

OK,
m=audio $ RTP/AVP 0 13 

My two Cents,
Carl

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 4:25 PM
To: 'Carl Rutter'; 'Chuong N. Nguyen'
Cc: [email-masked]; Peter Barany
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 3:19 PM
To: 'Chuong N. Nguyen'
Cc: [email-masked]
Subject: RE: [Megaco] Local/Remote descriptors and Permanent terminations

Chuong,

 
Carl
-----Original Message-----
From: Chuong N. Nguyen [mailto:[email-masked]]
Sent: Tuesday, April 02, 2002 2:59 PM
Cc: [email-masked]
Subject: Re: [Megaco] Local/Remote descriptors and Permanent terminations

Tom-PT Taylor wrote:

---

From: Pauls Markus <[email-masked]>
Date: Wed, 3 Apr 2002 09:48:51 +0200

Suppose you have the following SDP:

m=audio 4444 RTP/AVP 0 18
a=fmtp:18 annexb=no         // G.729, Silence Suppression off (see draft-ietf-avt-rtp-mime-05)
a=silenceSupp: on - - - -

(that means the GW may either use G.711 µ-law or G.729)

The silenceSupp attribute is not specific for a payload type, the fmtp attribute is. So which one has precedence in this case?

In my opinion you should have the ability to switch on silence suppression depending on the payload type. If you want to use it with G.711, it does not mean that you want it with G.729.

Beyond that I believe generally it is more suited to an ephemeral termination. Therefore it should be expressed by means of SDP.

However, if you want to transport the comfort noise payload (according to draft-ietf-avt-rtp-cn-05), you should add the payload type 13 to the SDP media line as well (IMO).

From my point of view the SDP should therefore look something like this:

m=audio 4444 RTP/AVP 0 18 13
a=fmtp:18 annexb=no
a=fmtp:0 silSup=yes

where this PCMU specific parameter silSup must still be defined (for PCMA as well).

Any comment is appreciated.

	Kind regards

		Markus Pauls

________________________________________________________
Markus Pauls

SIEMENS
Information and Communication Networks

ICN WN CC NA B13   	Tel.:  	+49 89 722 62937
Hofmannstr. 51     	Fax:   	+49 89 722 44176
81359 Munich        	Email: 	[email-masked]
Germany

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 3:36 AM
To: Chuong N. Nguyen
Cc: [email-masked]
Subject: RE: [Megaco] Local/Remote descriptors and Permanent terminations

You bring up a good point, 
Is/Should Silient Suppression be tied to the TDM package or
SDP TDM, if in fact its really more applicable to the Ephemral side.
If no can think of a good reason then your right it would make more sense to be in the SDP.
For now we could use 0 13 for G711 and long-term use the ATM approach for SDP.
Trying to drive towards closure as we have a need to implement this.
Yea, the hairpinning would be in the MG Switch.
Comments?

Carl
-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Chuong N. Nguyen
Sent: Tuesday, April 02, 2002 8:05 PM
Cc: [email-masked]
Subject: Re: [Megaco] Local/Remote descriptors and Permanent terminations

That is what  I initially thought silence suppression was about. 
But then I was told differently. 
It could be applied to TDM. 
If not, then why are we discussing adding silence suppresion to the TDM package? 
  
By the way,  I thought TDM-TDM calls are being made at the Gwy too. 
Aren't you guys doing that now? 

Carl Rutter wrote: 
I can't think of an application where you'd want to do that. Silence suppression really wouldn't make sense for a TDM-TDMwhich is hairpined at the CO. The DS0 is dedicated. The advantage of Silent suppression it to limit the RTP traffic on the IP side, which you wouldn't have in that case.Maybe if you wanted to inject Comfort Noise instead of backgroundnoice in the TDM-TDM call??Carl 
-----Original Message----- 
From: [email-masked] [mailto:[email-masked]]On Behalf Of Chuong N. Nguyen 
Sent: Tuesday, April 02, 2002 7:16 PM 
To: [email-masked] 
Subject: Re: [Megaco] Local/Remote descriptors and Permanent terminations
Tom-PT Taylor wrote: 

What if someone wanted to make a TDM-TDM, hairpin call? 
Would silenceSupp be used for such a call? 
If yes, then what?

---

From: Pauls Markus <[email-masked]>
Date: Wed, 3 Apr 2002 09:48:51 +0200

Kind regards

		Markus Pauls

SIEMENS

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 3:36 AM
To: Chuong N. Nguyen
Cc: [email-masked]
Subject: RE: [Megaco] Local/Remote descriptors and Permanent terminations

Carl
-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Chuong N. Nguyen
Sent: Tuesday, April 02, 2002 8:05 PM
Cc: [email-masked]
Subject: Re: [Megaco] Local/Remote descriptors and Permanent terminations

  

Carl Rutter wrote: 
-----Original Message----- 
From: [email-masked] [mailto:[email-masked]]On Behalf Of Chuong N. Nguyen 
Sent: Tuesday, April 02, 2002 7:16 PM 
To: [email-masked] 
Subject: Re: [Megaco] Local/Remote descriptors and Permanent terminations
Tom-PT Taylor wrote:

---

From: Carl Rutter <[email-masked]>
Date: Wed, 3 Apr 2002 07:51:43 -0500

Yea, for overspecification I see your point.

m=audio 4444 RTP/AVP 0 18 13
a=fmtp:18 annexb=no
a=fmtp:0 silSup=yes
makes sense, 
but still seems kind of awkward in that
we have different ways of implementing Silent Suppression
based on the payload.

It would be nice to have a common parameter among the payloads
that had more than just an ON/OFF option to provide future flexibility
like they thought of in RFC3018:
silenceSupp: <silenceSuppEnable> <silenceTimer> <suppPref> <sidUse> 
                   <fxnslevel> 
So from the discussions I've read, Silent Suppression should:
1) Be implemented in SDP 
2) Enabled/Disabled on a per payload type
3) Should have more than just and On/Off option
4) Be backward compatable to allow support for the Annex option 
   with the compressed vocoders
5) Be consistant among Payload types

I guess if we gave up on #3 and #5 we could implement Pauls suggestion.
Not sure the logistics of how thats done??

Are we getting close?

Carl

-----Original Message-----
From: Pauls Markus [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 2:49 AM
To: [email-masked]
Cc: 'Carl Rutter'
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

m=audio 4444 RTP/AVP 0 18
a=fmtp:18 annexb=no         // G.729, Silence Suppression off (see
draft-ietf-avt-rtp-mime-05)
a=silenceSupp: on - - - -

The silenceSupp attribute is not specific for a payload type, the fmtp
attribute is. So which one has precedence in this case?

In my opinion you should have the ability to switch on silence suppression
depending on the payload type. If you want to use it with G.711, it does not
mean that you want it with G.729.

Beyond that I believe generally it is more suited to an ephemeral
termination. Therefore it should be expressed by means of SDP.

However, if you want to transport the comfort noise payload (according to
draft-ietf-avt-rtp-cn-05), you should add the payload type 13 to the SDP
media line as well (IMO).

where this PCMU specific parameter silSup must still be defined (for PCMA as
well).

	Kind regards

		Markus Pauls

SIEMENS

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 3:36 AM
To: Chuong N. Nguyen
Cc: [email-masked]
Subject: RE: [Megaco] Local/Remote descriptors and Permanent terminations

You bring up a good point, 
Is/Should Silient Suppression be tied to the TDM package or
SDP TDM, if in fact its really more applicable to the Ephemral side.
If no can think of a good reason then your right it would make more sense to
be in the SDP.
For now we could use 0 13 for G711 and long-term use the ATM approach for
SDP.
Trying to drive towards closure as we have a need to implement this.
Yea, the hairpinning would be in the MG Switch.
Comments?

Carl
-----Original Message-----
Chuong N. Nguyen

That is what  I initially thought silence suppression was about. 
But then I was told differently. 
It could be applied to TDM. 
If not, then why are we discussing adding silence suppresion to the TDM
package? 

Carl Rutter wrote: 
I can't think of an application where you'd want to do that. Silence
suppression really wouldn't make sense for a TDM-TDMwhich is hairpined at
the CO. The DS0 is dedicated. The advantage of Silent suppression it to
limit the RTP traffic on the IP side, which you wouldn't have in that
case.Maybe if you wanted to inject Comfort Noise instead of backgroundnoice
in the TDM-TDM call??Carl 
-----Original Message----- 
Chuong N. Nguyen

---

From: Carl Rutter <[email-masked]>
Date: Wed, 3 Apr 2002 07:51:43 -0500

Are we getting close?

Carl

-----Original Message-----
From: Pauls Markus [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 2:49 AM
To: [email-masked]
Cc: 'Carl Rutter'
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

	Kind regards

		Markus Pauls

SIEMENS

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 3:36 AM
To: Chuong N. Nguyen
Cc: [email-masked]
Subject: RE: [Megaco] Local/Remote descriptors and Permanent terminations

Carl
-----Original Message-----

  

Carl Rutter wrote:

---

From: Carl Rutter <[email-masked]>
Date: Wed, 3 Apr 2002 07:53:17 -0500

One more comment, 
sorry for so many.
Would be really need to specify the 13
if we had the SilSup parameter?

Carl
-----Original Message-----
From: Carl Rutter 
Sent: Wednesday, April 03, 2002 7:52 AM
To: 'Pauls Markus'; [email-masked]
Cc: Carl Rutter
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

Are we getting close?

Carl

-----Original Message-----
From: Pauls Markus [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 2:49 AM
To: [email-masked]
Cc: 'Carl Rutter'
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

	Kind regards

		Markus Pauls

SIEMENS

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 3:36 AM
To: Chuong N. Nguyen
Cc: [email-masked]
Subject: RE: [Megaco] Local/Remote descriptors and Permanent terminations

Carl
-----Original Message-----

  

Carl Rutter wrote:

---

From: Carl Rutter <[email-masked]>
Date: Wed, 3 Apr 2002 07:53:17 -0500

One more comment, 
sorry for so many.

Carl
-----Original Message-----
From: Carl Rutter 
Sent: Wednesday, April 03, 2002 7:52 AM
To: 'Pauls Markus'; [email-masked]
Cc: Carl Rutter
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

Are we getting close?

Carl

-----Original Message-----
From: Pauls Markus [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 2:49 AM
To: [email-masked]
Cc: 'Carl Rutter'
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

	Kind regards

		Markus Pauls

SIEMENS

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 3:36 AM
To: Chuong N. Nguyen
Cc: [email-masked]
Subject: RE: [Megaco] Local/Remote descriptors and Permanent terminations

Carl
-----Original Message-----

  

Carl Rutter wrote:

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Wed, 3 Apr 2002 08:08:23 -0500

[Stephen Casner copied because this potentially affects AVT WG work in
progress.]

To summarize: we are trying to define how to indicate that silence
suppression is desired for a given audio flow.  We could do it through an
a=silenceSupp attribute, through codec-specific a=fmtp: parameters, or
implicitly by specifying the Comfort Noise codec as an alternative.  Markus
shows the sort of contradictions we could arrive at if we are not careful.

I think it's quite clear that we do NOT want to tie silence suppression to
the TDM package.  

The cleanest way would be to ensure that every codec where silence
suppression might apply has a silence suppression parameter.  For RTP, this
requires revisiting draft-ietf-avt-rtp-mime-06.txt, which is currently in
IETF Last Call.  Not sure what we do about ATM: RFC 3108 defines a profile
that just picks up the RTP mappings, so maybe it would also pick up the
parameters defined in the MIME type registrations and payload format
descriptions.  I find this whole area murky because theoretically there
should be new MIME type registrations for each transport in order to reuse
the profiles in SDP.

A second possibility is to define the a=silenceSupp attribute for all
transports, but specify that it takes second priority to a=fmtp parameters
where these are defined.  This is probably the most practical route.

Stephen, any comments?

-----Original Message-----
From: Pauls Markus [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 2:49 AM
To: [email-masked]
Cc: 'Carl Rutter'
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

	Kind regards

		Markus Pauls

SIEMENS

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 3:36 AM
To: Chuong N. Nguyen
Cc: [email-masked]
Subject: RE: [Megaco] Local/Remote descriptors and Permanent terminations

Carl
-----Original Message-----

  

Carl Rutter wrote:

---

From: "David Barr"<[email-masked]>
Date: Wed, 3 Apr 2002 14:52:25 +0100

In making a decision please consider the following:

With silence suppression, there are actually 2 separate things we need to
achieve:

(A) To have a way for the MGC to "hint" to the MG that it wants silence
suppression to be used or not.

(B) To have a way for the two MGs to negotiate whether silence suppression
should be used or not.  If one of the MGs cannot support silence
suppression, then the peer-MG must not send silence-packets, regardless of
what the "hint" from the MGC was.

For (B), the SDP exchange between MGs is used to negotiate silence
suppression capability.  For G.711, payload-type 13 on the media line of the
returned Local descriptor is typically used to indicate a MG's ability to do
silence suppression.

Now, whatever method is chosen for (A) should not conflict with what is
currently done for (B), especially if the underspecified Local descriptor
from MGC to MG is used to convey the "hint" from the MGC.

Dave.

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 1:53 PM
To: Carl Rutter; 'Pauls Markus'; [email-masked]'
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

One more comment, 
sorry for so many.

Carl
-----Original Message-----
From: Carl Rutter 
Sent: Wednesday, April 03, 2002 7:52 AM
To: 'Pauls Markus'; [email-masked]
Cc: Carl Rutter
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

Are we getting close?

Carl

-----Original Message-----
From: Pauls Markus [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 2:49 AM
To: [email-masked]
Cc: 'Carl Rutter'
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

	Kind regards

		Markus Pauls

SIEMENS

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 3:36 AM
To: Chuong N. Nguyen
Cc: [email-masked]
Subject: RE: [Megaco] Local/Remote descriptors and Permanent terminations

Carl
-----Original Message-----

  

Carl Rutter wrote:

---

From: "David Barr"<[email-masked]>
Date: Wed, 3 Apr 2002 14:52:25 +0100

Dave.

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 1:53 PM
To: Carl Rutter; 'Pauls Markus'; [email-masked]'
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

One more comment, 
sorry for so many.

Carl
-----Original Message-----
From: Carl Rutter 
Sent: Wednesday, April 03, 2002 7:52 AM
To: 'Pauls Markus'; [email-masked]
Cc: Carl Rutter
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

Are we getting close?

Carl

-----Original Message-----
From: Pauls Markus [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 2:49 AM
To: [email-masked]
Cc: 'Carl Rutter'
Subject: RE: [Megaco] Local/Remote descriptors and Permanent
terminations

	Kind regards

		Markus Pauls

SIEMENS

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Wednesday, April 03, 2002 3:36 AM
To: Chuong N. Nguyen
Cc: [email-masked]
Subject: RE: [Megaco] Local/Remote descriptors and Permanent terminations

Carl
-----Original Message-----

  

Carl Rutter wrote: